import App from './App'
import store from './store/index'
import uView from './uni_modules/uview-ui'

// #ifndef VUE3
import Vue from 'vue'
import './utils/showMsg.js'
import './uni.promisify.adaptor'
import CommonCard from 'components/custom/common-card.nvue'
import QuerySelector from 'components/custom/query-selector.vue'
import FullUpload from 'components/custom/full-upload.vue'
import CheckAction from 'components/custom/check-action.vue'
import PeopleSelector from 'components/custom/people-selector/index.vue'
import AuditProcess from 'components/custom/audit-process.vue'
import initToast from "@/components/custom/show-info/initToast.js"
import showToast from "@/components/custom/show-info/show-toast.vue"




// import "./uni_modules/uview-ui/index.scss"

Vue.component('common-card', CommonCard)
Vue.component('query-selector', QuerySelector)
Vue.component('full-upload', FullUpload)
Vue.component('check-action', CheckAction)
Vue.component('people-selector', PeopleSelector)
Vue.component('audit-process', AuditProcess)
initToast(Vue);
Vue.component('show-toast',showToast);

Vue.use(uView)
Vue.config.productionTip = false
// Vue.prototype.$store = store
App.mpType = 'app'
App.store = store

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'

export function createApp() {
	const app = createSSRApp(App)
	app.use(store)
	// app.use(VueAxios)
	return {
		app
	}
}
// #endif
